Description

The dataminer instance running on 

dataminer0-proto.d4science.org

 has a different container configuration compared to dataminer1-proto.

0-proto has the authorizeChildrenContext set to true and only the VO scopes;

1-proto has the authorizeChildrenContext set to false and the VO and VRE scopes.

We have manually set the authorizeChildrenContext variable to true on 0-proto instance. In this way we are able to call both services

on RPrototypingLab VRE

It's needed to check the ansible playbook and uniform the scopes there. 

History

#1 - May 03, 2017 09:32 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 80

From what I see on the ansible playbook variables, the dataminer1-proto.d4science.org is the correct one while dataminer0-proto.d4science.org was

manually reconfigured.

If we want them both enabled on all the VREs, we can change the playbook accordingly and reconfigure.

#2 - May 03, 2017 09:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

@roberto.cirillo@isti.cnr.it what we want to do?

#3 - May 04, 2017 10:06 AM - Roberto Cirillo

I think it's better to align the dataminer1-proto to dataminer0-proto in order to decrease the load on registry services.

#4 - May 04, 2017 02:09 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

I think it's better to align the dataminer1-proto to dataminer0-proto in order to decrease the load on registry services.

 OK.

Is there a reason why we don't do this for all the production dataminers?

#5 - May 04, 2017 03:18 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

Roberto Cirillo wrote:

I think it's better to align the dataminer1-proto to dataminer0-proto in order to decrease the load on registry services.

 OK.
Is there a reason why we don't do this for all the production dataminers?

 I guess we could do this for all the remaining production dataminers.  

#6 - May 04, 2017 04:58 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Done.

From now on, all the production dataminer will be configured this way:

smartgears_authorized_on_all_scopes: 'true' 

smartgears_scopes:

  - '/{{ smartgears_infrastructure_name }}'

  - '/{{ smartgears_infrastructure_name }}/FARM'

  - '/{{ smartgears_infrastructure_name }}/SoBigData'

  - '/{{ smartgears_infrastructure_name }}/SmartArea'

  - '/{{ smartgears_infrastructure_name }}/gCubeApps'

  - '/{{ smartgears_infrastructure_name }}/D4Research'
